twine (6.0.1-2) unstable; urgency=low

  * Team upload
  * Restore the handwritten

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 05 Dec 2024 18:04:23 +0100

twine (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch pkginfo-1.11, superseded upstream.
  * Update Build-Depends.
  * Patch: Make python3-keyring optional (but Recommended).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Dec 2024 17:15:59 -0400

twine (5.1.1-3) unstable; urgency=low

  * Team upload.
  * Add a real manpage for twine, and move the existing one to section 3.
    (Closes: #1029494)
  * Move the generated manpage to section 3.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Sep 2024 12:41:14 +0200

twine (5.1.1-2) unstable; urgency=medium

  * Patch: Restore support for pkginfo 1.11.
  * Revert the Build-Depends restriction on python-pkginfo.
    (Closes: #1081549)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 14 Sep 2024 10:13:45 +0200

twine (5.1.1-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    + Fix compatibility with python-importlib-metadata 8.x.
  * debian/control: Add an upper version requirement for build-dependency
    python-pkginfo (<< 1.11.0~) due to upstream issue 1116. This limit
    shall be solved with the next upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jun 2024 12:13:27 -0400

twine (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch metadata-2.3-tests, superseded upstream.
  * Patch: Use a MANIFEST.in to control SOURCES.txt generation.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 May 2024 11:52:24 -0400

twine (5.0.0-2) unstable; urgency=medium

  * Patch: Support pkginfo 1.10 in tests, which can parse metadata 2.3.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Apr 2024 13:44:11 -0400

twine (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Build-Depend on furo and drop sphinx-rtd-theme patch.
  * Update copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Feb 2024 10:55:53 -0400

twine (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch skip-test-coverage, superseded upstream.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Dec 2022 18:10:09 -0400

twine (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch readme-renderer-35, superseded upstream.
  * Unset TERM before running tests, TERM=unknown on Ubuntu buildds was
    causing a failure where upstream tests expected rich colours.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 04 Jun 2022 14:35:21 +0100

twine (4.0.0-3) unstable; urgency=medium

  * Patch: Support (and require) python3-readme-renderer (>= 35).
    (Closes: #1010428)
  * Drop unnecessary versioned Depends, we are now using
    --accept-upstream-versions.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 May 2022 11:05:13 -0400

twine (4.0.0-2) unstable; urgency=medium

  * Depend on python3-build and python3-setuptools for the autopkgtest.
  * Pass --accept-upstream-versions to dh_python3, upstream sets minimum
    versions sensibly.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 06 Apr 2022 17:06:01 -0400

twine (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch importlib-metadata-name, superseded upstream.
  * Replace Build-Depends on python3-colorama and python3-tqdm with
    python3-rich.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Apr 2022 13:48:23 -0400

twine (3.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: dh-python-pep517 is replaced by pybuild-plugin-pyproject.
  * Patch: Tweak test_make_user_agent_string to pass under Debian's build.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Feb 2022 20:51:04 -0400

twine (3.7.1-1) unstable; urgency=medium

  * New upstream point-release.
  * Build with pybuild's pep517 plugin.
    - Drop patch setup.py, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Dec 2021 10:12:48 -0400

twine (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the python3-pkginfo dependency, following upstream.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Dec 2021 12:30:20 -0400

twine (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Support nodoc builds.
  * Declare dh addons through dependencies.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 10:37:03 -0800

twine (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Patch: Revert Sphinx docs back to the readthedocs.org theme, which is
    packaged in Debian.
  * Drop releases build-dep, unused since 3.3.0.
  * Build-Depend on python3-sphinxcontrib.programoutput, now used in docs.
  * Make a fake twine binary available to sphinx during build, for
    sphinxcontrib.programoutput.
  * Replace no-intersphinx patch with local-intersphinx, linking to Debian
    packaged intersphinx inventories.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Nov 2021 23:50:51 -0700

twine (3.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Aug 2021 18:57:07 -0700

twine (3.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Patch: Restore setup.py until we support PEP517 builds in Debian.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Jul 2021 07:46:37 -0400

twine (3.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Upstream migrated from setuptools/pkg_resources to importlib_metadata.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 May 2021 17:17:00 -0400

twine (3.3.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Drop patch no-needs-sphinx, no longer needed.
  * Drop patch no-jaraco.envs, no longer needed.
  * Drop Barry Warsaw from Uploaders. Thanks for the help. (Closes: #970188)
  * Patch: no-pytest-socket: pytest-socket isn't available in Debian.
  * Extend upstream metadata.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump watch file format to 4, no changes needed.
  * Update copyright holders.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Dec 2020 11:40:37 -0800

twine (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * New Build-Depends: python3-colorama, python3-rfc3986.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Patch skip-test-coverage: Disable coverage in pytest.
  * Drop debian/upstream/signing-key.asc, upstream hasn't signed uploads in
    years.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Jun 2020 13:55:05 -0700

twine (3.1.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 09:36:25 +0200

twine (3.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Now requires use of python3-keyring.
  * Build-Depend on python3-importlib-metadata, python3-setuptools-scm, as now
    required upstream.
  * Depend on python3-importlib-metadata, as required upstream.
  * Run tests using pytest, as upstream does.
    - Build-Depend on test dependencies.
    - Make egg_info available to tests.
  * Patch: no-intersphinx: Disable the unused intersphinx mapping, to avoid
    requesting it during build.
  * Patch: no-jaraco.envs: Remove infra for integration tests that we don't
    run.
  * Patch skip-network-tests: Skip tests that require a network connection.
  * Add autopkgtest to run unit tests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 27 Nov 2019 11:57:17 -0800

twine (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 04 Oct 2019 17:33:07 +0300

twine (1.15.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Update copyright.
  * Bump debhelper compat level to 12.
  * Un-version build-dependencies that predate oldstable.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 18 Sep 2019 18:50:10 -0700

twine (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Recommend python3-keyring, used for credential storage when available.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Feb 2019 11:49:33 -0800

twine (1.12.1-2) unstable; urgency=medium

  * Add missing Depends for sphinx docs. (Closes: #911069)
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Minimize signing-key.asc.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 29 Dec 2018 15:29:04 +0100

twine (1.12.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release (LP: #1775886)
  * New B-D: python3-readme-renderer.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.2.1, no changes needed.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

 -- Stefano Rivera <stefanor@debian.org>  Sat, 13 Oct 2018 14:42:11 +0200

twine (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Install README.rst too, due to the filesystem structure, it wasn't
    included in our rst directory. (Closes: #827568, again)
  * Bump pkginfo dependency (following upstream).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Mar 2018 22:57:54 -0700

twine (1.10.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release. (Closes: #825341, #884649)
    - Has useful documentation. (Closes: #827568, #827569)
  * Add symlink to ease finding rst docs.
  * Drop patches, superseded upstream.
  * Update copyright.
  * Update Homepage to point to the canonical GitHub repo.
  * Migrate to git, pq, and salsa.debian.org.
  * Add myself to uploaders.
  * Declare Rules-Requires-Root: no.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Patch no-needs-sphinx: Don't requires sphinx 1.7.0.
  * Don't compress HTML in docs.
  * Lintian override PyPI capitalization.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Mar 2018 17:13:20 -0700

twine (1.8.1-2) unstable; urgency=medium

  * d/control: Add python3-setuptools to Depends.  (Closes: #814379)
  * d/tests: Add very simple autopkgtests.

 -- Barry Warsaw <barry@debian.org>  Wed, 14 Dec 2016 18:09:06 -0500

twine (1.8.1-1) unstable; urgency=medium

  [ Zygmunt Krynicki ]
  * Refresh dependencies (still missing python3-requests-toolbelt)

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version to 3.9.8 with no other changes needed.
    - Add python3-sphinx-rtd-theme to Build-Depends.
    - With permission, move PAPT into Maintainer, with Zygmunt and
      myself as Uploaders.
  * d/twine.manpages: Added to correctly install the man page.

 -- Barry Warsaw <barry@debian.org>  Thu, 25 Aug 2016 10:47:14 -0400

twine (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use the new pypi redirector
  * debian/copyright: update with new authors
  * debian/manpages: remove the automatically-generated manual page until
    upstream has some documentation. This is also tracked upstream as
    https://github.com/pypa/twine/issues/11
  * debian/lintian-overrides: add an override for the lower-case 'python' used
    in the long description as a code example.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 21 Jul 2015 21:43:17 +0200

twine (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #745342)

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Sun, 20 Apr 2014 19:55:00 +0200
